<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('frontend.index');
});

Route::get('about', function () {
    return view('frontend.about');
});

Route::get('search_result', function () {
    return view('frontend.search-result');
});

Route::get('book_now', function () {
    return view('frontend.book-now');
});

Route::get('faq', function () {
    return view('frontend.faq');
});

Route::get('customer-support', function () {
    return view('frontend.customer-support');
});

Route::get('contact', function () {
    return view('frontend.contact');
});

Route::get('admin', function () {
    return view('backend.login');
});

Route::get('dashboard', function () {
    return view('backend.dashboard');
});

Route::get('location_list', function () {
    return view('backend.manage-location');
});

Route::get('providers', function () {
    return view('backend.manage-providers');
});

Route::get('add_location', function () {
    return view('backend.add-location');
});

Route::get('edit_location', function () {
    return view('backend.edit-location');
});

Route::get('add_parking', function () {
    return view('backend.add-parking-provider');
});

Route::get('edit_parking', function () {
    return view('backend.edit-parking-provider');
});

Route::post('signin_process', 'App\Http\Controllers\LoginController@signin_process');
Route::post('add_location_submit', 'App\Http\Controllers\ManageController@add_location');
Route::post('update_location_submit', 'App\Http\Controllers\ManageController@update_location_submit');
Route::get('delete_location&id={id}', 'App\Http\Controllers\ManageController@delete_location');
Route::get('delete_parking&id={id}', 'App\Http\Controllers\ManageController@delete_parking');
Route::post('add_provider_submit', 'App\Http\Controllers\ManageController@add_provider_submit');
Route::post('update_provider', 'App\Http\Controllers\ManageController@update_provider');
